# Bio.SeqIO.GfaIO module

Bio.SeqIO support for the Graphical Fragment Assembly format.

This format is output by many assemblers and includes linkage information for how the different sequences fit together, however, we just care about the segment (sequence) information.

Documentation: - Version 1.x: https://gfa-spec.github.io/GFA-spec/GFA1.html - Version 2.0: https://gfa-spec.github.io/GFA-spec/GFA2.html

class Bio.SeqIO.GfaIO.Gfa1Iterator(source: IO[str] | PathLike | str | bytes)

  Bases: `SequenceIterator`

  Parser for GFA 1.x files.

  Documentation: https://gfa-spec.github.io/GFA-spec/GFA1.html

  modes = 't'
  __init__(source: IO[str] | PathLike | str | bytes) → None

    Iterate over a GFA file as SeqRecord objects.

    Arguments:

      - source - input stream opened in text mode, or a path to a file

  __next__()

    Return the next SeqRecord.

    This method must be implemented by the subclass.

  __abstractmethods__ = frozenset({})
  __annotations__ = {}
  __firstlineno__ = 116
  __parameters__ = ()
  __static_attributes__ = ()

class Bio.SeqIO.GfaIO.Gfa2Iterator(source: IO[str] | PathLike | str | bytes)

  Bases: `SequenceIterator`

  Parser for GFA 2.0 files.

  Documentation for version 2: https://gfa-spec.github.io/GFA-spec/GFA2.html

  modes = 't'
  __init__(source: IO[str] | PathLike | str | bytes) → None

    Iterate over a GFA file as SeqRecord objects.

    Arguments:

      - source - input stream opened in text mode, or a path to a file

  __next__()

    Return the next SeqRecord.

    This method must be implemented by the subclass.

  __abstractmethods__ = frozenset({})
  __annotations__ = {}
  __firstlineno__ = 163
  __parameters__ = ()
  __static_attributes__ = ()

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub